Bug 1028897 - [Desktop][gnome-initial-setup] - "Use Enterprise Login" button taking static name value whereas it should be dynamic with scenario
[Desktop][gnome-initial-setup] - "Use Enterprise Login" button taking static ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
20
All Linux
high Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks: 1035210
  Show dependency treegraph
 
Reported: 2013-11-11 02:24 EST by Satyabrata Maitra
Modified: 2015-06-29 08:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1035210 (view as bug list)
Environment:
Last Closed: 2015-06-29 08:52:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the correct one (326.02 KB, image/png)
2013-11-11 02:24 EST, Satyabrata Maitra
no flags Details
The improper one (320.33 KB, image/png)
2013-11-11 02:25 EST, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2013-11-11 02:24:41 EST
Created attachment 822305 [details]
the correct one

Description of problem:
When rerun gnome-initial-setup and create account (local or enterprise), the default page sets for the Local account creation and there is a button provided for creating Enterprise account with "Use Enterprise Login". When user click on that button, the form for creating Enterprise button gets introduced. Now, even on this page, the Button value or name remains static "Use Enterprise Login". As the button usability is to switch between Local and Enterprise login creation page, it should actually change the button's value or name as "Use Local Account" when the page open is for Enterprise Login creation page.

Version-Release number of selected component (if applicable):
gnome-initial-setup-3.10.1.1-1.fc20

How reproducible:
Always

Steps to Reproduce:
1. Install F20 (Heisenbug) TC6
2. Login as any normal user
3. run the command : LANG=en_US.UTF-8 /usr/libxec/gnome-initial-setup --force-new-user
4. Go up to Login Page
5. On this page, the default is for "Create a Local Account"
6. Click on "Use Enterprise Login"
7. Now the page for creating Enterprise Login will appear.
8. Now observe even on this page, what the Button value or name still showing.

Actual results:
When on Use Enterprise Login page, the button value or name does not get changed.

Expected results:
When on Use Enterprise Login page, the button value should change and show like "Use Local Login" or so, to switch to the local login creation page. And it should be dynamically change upon the user action to swith between two types of account page creation

Additional info:
both the page screen shot provided.
Comment 1 Satyabrata Maitra 2013-11-11 02:25:31 EST
Created attachment 822306 [details]
The improper one
Comment 3 Fedora End Of Life 2015-05-29 05:43:48 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:52:22 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.